# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Text-Diff-HTML
Version:        0.06
Release:        alt2_7
Summary:        XHTML format for Text::Diff::Unified
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Text-Diff-HTML/
Source0:        http://www.cpan.org/authors/id/D/DW/DWHEELER/Text-Diff-HTML-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(HTML/Entities.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(Text/Diff.pm)
Source44: import.info

%description
This class subclasses Text::Diff::Unified, a formatting class provided by
the Text::Diff module, to add XHTML markup to the unified diff format. For
details on the interface of the diff() function, see the Text::Diff
documentation.

%prep
%setup -q -n Text-Diff-HTML-%{version}

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2_7
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2_6
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt2_4
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1_4
- fc import

